Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 589703 - Traceback in livecd-creator caused by missing splash image
Summary: Traceback in livecd-creator caused by missing splash image
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: redhat-logos
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Ray Strode [halfline]
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-06 17:55 UTC by Dennis Gregorovic
Modified: 2010-07-02 19:46 UTC (History)
3 users (show)

Fixed In Version: redhat-logos-60.0.9-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-02 19:46:30 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Dennis Gregorovic 2010-05-06 17:55:16 UTC
redhat-logos-60.0.8-1.el6

Traceback (most recent call last):
  File "/usr/bin/livecd-creator", line 140, in <module>
    sys.exit(main())
  File "/usr/bin/livecd-creator", line 124, in main
    creator.configure()
  File "/usr/lib/python2.6/site-packages/imgcreate/creator.py", line 728, in configure
    self._create_bootconfig()
  File "/usr/lib/python2.6/site-packages/imgcreate/live.py", line 200, in _create_bootconfig
    self._configure_bootloader(self.__ensure_isodir())
  File "/usr/lib/python2.6/site-packages/imgcreate/live.py", line 634, in _configure_bootloader
    self._configure_efi_bootloader(isodir)
  File "/usr/lib/python2.6/site-packages/imgcreate/live.py", line 603, in _configure_efi_bootloader
    if not self.__copy_efi_files(isodir):
  File "/usr/lib/python2.6/site-packages/imgcreate/live.py", line 548, in __copy_efi_files
    isodir + "/EFI/boot/splash.xpm.gz")
  File "/usr/lib/python2.6/shutil.py", line 88, in copy
    copyfile(src, dst)
  File "/usr/lib/python2.6/shutil.py", line 52, in copyfile
    fsrc = open(src, 'rb')
IOError: [Errno 2] No such file or directory: '/var/tmp/imgcreate-rxALv0/install_root/boot/grub/splash.xpm.gz'

Comment 1 Ray Strode [halfline] 2010-05-06 19:08:46 UTC
This should be all set now.

Comment 3 Tomas Pelka 2010-06-02 15:53:55 UTC
Verified on livecd-tools-031-1.7.el6.x86_64, redhat-logos-60.0.11-1.el6.noarch.

Comment 4 releng-rhel@redhat.com 2010-07-02 19:46:30 UTC
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.